//
//  INAppConfigUtil.swift
//  Introduce
//
//  Created by SanW on 2021/12/22.
//  Copyright © 2021 BytesFlow. All rights reserved.
//

import BFAnalyzeKit
import BFCommonKit
import BFMaterialKit
import UIKit

/// <#Description#>
class INAppConfigUtil: NSObject {
    class func pageConfig() {
        BFConfig.shared.appType = "20"
        BFConfig.shared.appId = "1599191466"
        BFConfig.shared.styleColor = .intrGreen
        BFConfig.shared.statusBarStyle = .light
        BFConfig.shared.styleBackGroundColor = UIColor.black
        BFConfig.shared.styleTitleColor = UIColor.white
        BFConfig.shared.cutViewStyleColor = UIColor.white
        BFConfig.shared.cutViewTintColor = UIColor.black
        BFConfig.shared.pointEditNamalBackgroundColor = UIColor.hexColor(hexadecimal: "#1A1A1A")
        BFMaterialConfig.shared.materialDeleteImage = UIImage.moduleImage(named: "icon_search_delete", moduleName: "BFMaterialKit") ?? UIImage()
        BFConfig.shared.cutDurationColor = UIColor(red: 238.0 / 255.0, green: 0 / 255.0, blue: 81.0 / 255.0, alpha: 0.1)
        BFConfig.shared.hiddenMusicMask = false
        BFConfig.shared.otherTintColor = UIColor.hexColor(hexadecimal: "#333333")
        BFConfig.shared.statusBarStyle = .light
    }

    class func applicationConfig(launchOptions _: [UIApplication.LaunchOptionsKey: Any]?) {
//        // 初始化友盟
//        CMUMApiUtil.registerUM(umAppkey: "6114dfeb1fee2e303c1fa189")
//        // 初始化Bugly
//        CMBuglyUtil.registerBugly(appID: "87b0f37276", deviceId: getMachineCode())
//        // 注册推送
//        CMUMApiUtil.registerUMPush(launchOptions: launchOptions) { granted, _ in
//            debugPrint("注册推送：\(granted ? "成功" : "失败")")
//        }
//        // 处理口令
//        PQBoardCommandUtil.dealWithPasteboardData()
        // 冷热启动上报
        appLaunchReportUpload()
    }

    // 冷热启动上报
    class func appLaunchReportUpload(isHotLaunch: Bool = false) {
        // 冷启动
        PQSingletoMemoryUtil.shared.isColdLaunch = true
        // 是否第一次安装
        var isFirstLaunch: Int = 1
        let firstInstall: String? = getUserDefaults(key: cFirstInstall) as? String
        if firstInstall == nil || (firstInstall?.count ?? 0 <= 0) || firstInstall != "1" {
            isFirstLaunch = 1
        } else {
            isFirstLaunch = 0
        }
        // 冷启动上报
        BFEventTrackAdaptor.appLaunchReportUpload(isFirstLaunch: isFirstLaunch, firstParams: nil, isHotLaunch: isHotLaunch, launchType: PQSingletoMemoryUtil.shared.coldLaunchType?.rawValue ?? "userActiveOpen", commonParams: commonParams())
        // 清空启动数据
        PQSingletoMemoryUtil.shared.coldLaunchType = nil
        saveUserDefaults(key: cFirstInstall, value: "1")
    }
}
